
CoCoA-5 - Bug #159

Multiplicity sometimes wrong

15 May 2012 19:54 - John Abbott

Status: Closed Start date: 15 May 2012

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: Incomplete function Estimated time: 3.50 hours

Target version: CoCoA-5.0.3 Spent time: 3.50 hours

Description

It seems to work OK for monomial ideals, but...

Use P ::= QQ[x];

I := Ideal((x-1)^3);

Multiplicity(P/I);

--> 2 ?!?

I := Ideal(x^3);

Multiplicity(P/I);

--> 3  OK!

Related issues:

Related to CoCoA-5 - Bug #166: Dim/Multiplicity with Lex ordering -- NYI Closed 23 May 2012

History

#1 - 15 May 2012 22:51 - Anna Maria Bigatti

- Status changed from New to Resolved

- Assignee set to Anna Maria Bigatti

- Target version set to CoCoA-5.0.3

#2 - 31 May 2012 18:58 - Anna Maria Bigatti

Add also Dim&Mult for non-standard degree (or no degree, such as with Lex)

They are defined independently of the grading, and they can be computed homogenizing /wrt/ the standard grading.

#3 - 08 Jun 2012 17:23 - Anna Maria Bigatti

- Category set to Incomplete function

- Status changed from Resolved to Closed

- % Done changed from 0 to 100

#4 - 08 Jun 2012 17:29 - Anna Maria Bigatti

- Estimated time set to 3.50 h
